<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Registro en delilah Resto</title>
</head>
<body>
  <h1>Te damos la bienvenida al restaurante</h1>

  <form name="form" action="" method="post">
    <label for="nombre">Nombre</label>
    <input type="text" name="nombre" id="nombre" placeholder="Santi" />

    <br /><br />

    <label for="apellido">Apellido</label>
    <input type="text" name="apellido" id="apellido" />

    <br /><br />

    <label for="email">Correo electrónico</label>
    <input
      type="email"
      name="email"
      id="email"
      placeholder="micorreo@gmail.com"
    />

    <br /><br />

    <label for="pais">País</label>
    <select name="pais" id="pais">
      <option value="argentina">Argentina</option>
      <option value="brasil">Brasil</option>
      <option value="chile">Chile</option>
      <option value="colombia">Colombia</option>
      <option value="peru">Perú</option>
      <option value="venezuela">Venezuela</option>
    </select>

    <br /><br />

    <label for="contrasena">Contraseña</label>
    <input type="password" name="contrasena" id="contrasena">

    <br /><br />

    <label for="repetir-contrasena">Repetir Contraseña</label>
    <input type="password" name="repetir-contrasena" id="repetir-contrasena">

    <br /><br />

    <input type="button" name="registrarse" id="registrarse" value="registrarse">

    <div id="resultado-registro"></div>

  </form>

  <br /><br />

  <h2>Inicio de sesión</h2>

  <form name="login" id="login" action="" method="post">
    <label for="email">Ingrese un usuario</label>
    <input type="text" name="email-login" id="email-login" />

    <br /><br />

    <label for="contrasena">Ingrese una contraseña</label>
    <input type="password" name="contrasena-login" id="contrasena-login" />

    <input type="button" name="iniciar-sesion" id="iniciar-sesion" value="iniciar sesión" />

    <div id="resultado-login"></div>
  </form>

  <script type="text/javascript">

    let users = [];

    const btnRegistrarse = document.getElementById('registrarse');

    btnRegistrarse.addEventListener('click', function () {

      class User {
        constructor(nombre, apellido, email, pais, contrasena) {
          this.nombre = nombre;
          this.apellido = apellido;
          this.email = email;
          this.pais = pais;
          this.contrasena = contrasena;
        }
      }

      let nombre = document.getElementById('nombre').value;
      let apellido = document.getElementById('apellido').value;
      let email = document.getElementById('email').value;
      let pais = document.getElementById('pais').value;
      let contrasena = document.getElementById('contrasena').value;
      let repetirContrasena = document.getElementById('repetir-contrasena').value;

      const validarCampos = () => {
        if (nombre === '' || apellido === '' || email === '' || pais === '' || contrasena === '' || repetirContrasena === '') {
          return 'Todos los campos son obligatorios';
        } else {
          return false;
        }
      }

      const validarContrasena = () => {
        if (contrasena !== repetirContrasena) {
          return 'Las contraseñas no coinciden';
        } else {
          return false;
        }
      }

      const validarEmail = () => {
        for(let i=0; i<users.length;i++){
          if(users[i].email === email){
            return 'El correo electrónico ya se encuentra registrado en base de datos';
          }
        }
        return false;
      }

      const registrarUsuario = () => {
        let newUsers = new User(nombre, apellido, email, pais, contrasena);
        users.push(newUsers);
        }

      respuesta = '';
      if(validarCampos()){
        respuesta = validarCampos();
      }else if(validarContrasena()){
        respuesta = validarContrasena();
      }else if(validarEmail()){
        respuesta = validarEmail();
      }else {
        registrarUsuario();
        respuesta = 'Usuario creado exitosamente!';
      }

      document.getElementById('resultado-registro').innerHTML = respuesta;
    });

    const btnLogin = document.getElementById('iniciar-sesion');

    btnLogin.addEventListener('click', function () {
      const user = document.getElementById('email-login').value;
      const password = document.getElementById('contrasena-login').value;

      const login = (user, password) => {
        for(let i=0; i<users.length;i++){
          if(user === users[i]['email'] && password === users[i]['contrasena']){
            return true;
          }
        }
          return false;
      }

      const resultado = document.getElementById('resultado-login');

      const mensaje = login(user, password) ? "incio correcto" : "verifica tus datos";
      resultado.textContent = mensaje;
    });

  </script>

</body>
</html>